<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<html>
<head>
	<title>Eingabe von Persondaten</title>
</head>

<body>
<f:view>
	<h3>Eingabe von Persondaten:</h3>
    <i>Eingabe von Persondaten, Validierung und Ausgabe</i>
    <br><br>
    
    <h:form id="inputForm">
    	<h:panelGrid columns="2">
	    	<f:facet name="header">
		   		<h:outputLabel>mit * gekennzeichnete Felder sind erforderlich<br></h:outputLabel>
  	  	</f:facet>

	    	<h:outputText>Benutzername *:</h:outputText>
				<h:inputText id="inpUsername" value="#{Person.username}" size="20" required="true"/>
				<h:panelGroup>
					<h:message for="inpUsername"></h:message>
				</h:panelGroup>

	    	<h:outputText>eMailadresse *:</h:outputText>
				<h:inputText id="inpEmail" value="#{Person.username}" size="20" required="true"/> 
				<h:message for="inpUsername"></h:message>

	    	<h:outputText>Passwort *:</h:outputText>
				<h:inputSecret id="inpPassword" value="#{Person.password}" size="20" required="true"/> 
				<h:message for="inpPassword"></h:message>

	    	<h:outputText>wiederholung *:</h:outputText>
				<h:inputSecret id="inpPassword2" value="#{Person.password2}" size="20" required="true"/> 
				<h:message for="inpPassword2"></h:message>
				
    		<h:outputText>Titel *:</h:outputText>
				<h:selectOneListbox id="selSalutation" value="#{Person.title}" size="1" required="true">
				  <f:selectItems value="#{PersonTitle.list}" />
				</h:selectOneListbox>
				<h:message for="selSalutation"></h:message>
				
	    	<h:outputText>Geschlecht *:</h:outputText>
				<h:selectOneRadio id="radIsMale" value="#{Person.isMale}" required="true" converter="javax.faces.Boolean"> 
				  <f:selectItem id="male" itemLabel="mnnlich" itemValue="true"/>
				  <f:selectItem id="female" itemLabel="weiblich" itemValue="false"/>
				</h:selectOneRadio>
				<h:message for="inpLastname"></h:message>
	
	    	<h:outputText>Nachname *:</h:outputText>
				<h:inputText id="inpLastname" value="#{Person.lastname}" size="20" required="true"/> 
				<h:message for="inpLastname"></h:message>
	
	    	<h:outputText>Vorname *:</h:outputText>
				<h:inputText id="inpFirstname" value="#{Person.firstname}"  size="20" required="true"/> 
				<h:message for="inpFirstname"></h:message>
	
	    	<h:outputText>Geburtsdatum (Tag//Monat//Jahr)*:</h:outputText>
				<h:inputText id="inpBirthday" value="#{Person.birthday}"  required="true"/> 
				<h:message for="inpBirthday"></h:message>

				<h:commandButton value="Abschicken" action="success" /> 
    	</h:panelGrid>
		</h:form>

</f:view>
</body>
</html>