<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{LocaleControllerBean.currentLocale}">
<f:loadBundle basename="sf.resource.msg" var="res" />

<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org./TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>

  <head>

    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta name="generator" content=""/>
    <link rel="shortcut icon" type="image/ico" href="http://www.fh-wedel.de/favicon.ico"/>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>

   <link rel="stylesheet" type="text/css" href="/css/fhw.css"/>
    <title><h:outputText value="#{res.title}"/><h:outputText value="#{res.title_tutorial}"/></title>
  </head>

  <body class="text">
	  <h:form>
	  <h:commandLink action="ta_overview" value="#{res.back}"/><br>
	  <h:outputText value="#{res.title_tutorial}"/>
	  <h:dataTable var="row" value="#{TutorialControllerBean.tutorialRows}" rows="#{TutorialControllerBean.PER_PAGE}" first="#{TutorialControllerBean.pos}">
			<h:column>
	      <f:facet name="header">
	        <h:outputText value=" "/>
	      </f:facet>
	      <h:selectBooleanCheckbox value="#{row.selected}"/>
	    </h:column>
	    <h:column>
		  	<f:facet name="header">
		  		<h:outputText value="#{res.date}"/>
		  	</f:facet>
	  		<h:outputText value="#{row.tutorial.date}">
	  			<f:convertDateTime pattern="#{res.datePattern}"/>
	  		</h:outputText>
	  	</h:column>
	  	<h:column>
		  	<f:facet name="header">
		  		<h:outputText value="#{res.topic}"/>
		  	</f:facet>
	  		<h:outputText value="#{row.tutorial.subject.text}"/>
	  	</h:column>
	  	<h:column>
		  	<f:facet name="header">
		  		<h:outputText value="#{res.member}"/>
		  	</f:facet>
	  		<h:outputText value="#{row.tutorial.member.name}"/>, <h:outputText value="#{row.tutorial.member.firstName}"/>
	  	</h:column>

	  	<f:facet name="footer"><h:panelGroup>
	  	  <h:commandButton value="<<" actionListener="#{TutorialControllerBean.backward}"  rendered="#{TutorialControllerBean.notFirstPage}"/>
	  	  <h:commandButton value=">>" actionListener="#{TutorialControllerBean.forward}" rendered="#{TutorialControllerBean.notLastPage}"/><br>
				<h:commandButton value="#{res.new}" action="#{TutorialControllerBean.addTutorial}"/>
				<h:commandButton value="#{res.edit}" action="#{TutorialControllerBean.editTutorial}"/>
				<h:commandButton value="#{res.del}" action="#{TutorialControllerBean.deleteTutorials}" onclick="if (!confirm('#{res.deleteQuestion}')) return false;"/>
	  	</h:panelGroup></f:facet>
	  </h:dataTable>
	  	
	  <h:commandLink action="ta_overview" value="#{res.back}"/>
		</h:form>
  </body>
</html>
</f:view>


